{if $minimal == 1}
<div class="row">
  <div class="col-md-4 col-md-offset-4 box">      
    <div class="content-wrap">
      <h6>{$LANG.login}</h6>
      <p class="text-danger bg-danger text-alert {if !$incorrect} displaynone{/if}" id="login-error"><strong><i class="fa fa-exclamation-triangle"></i> {$LANG.warning}</strong><br/>{$LANG.loginincorrect}</p>
      {if $ssoredirect}
      <p class="text-info bg-info"><i class="fa fa-external-link-square"></i> {$LANG.sso.redirectafterlogin}</p>
      {/if}
      <form method="post" action="{$systemsslurl}dologin.php">
        <div class="form-group">
          <div class="input-group input-group-lg">
            <span class="input-group-addon"><i class="fa fa-fw fa-envelope"></i></span>
            <input class="form-control" name="username" type="text" placeholder="{$LANG.loginemail}">
          </div>
        </div>             
        <div class="form-group">
          <div class="input-group input-group-lg">
            <span class="input-group-addon"><i class="fa fa-lock fa-fw"></i></span>
            <input class="form-control" name="password" type="password" placeholder="{$LANG.loginpassword}" autocomplete="off">
          </div>
        </div>             
        <a href="pwreset.php" class="forgot">{$LANG.loginforgotteninstructions}</a>
        <div class="remember">
          <label class="checkbox-inline rememberme"><input type="checkbox" name="rememberme" id="rememberme">{$LANG.loginrememberme}</label>        
        </div>
        <div class="row">
         <div class="col-md-12">
          <div class="form-group"><input type="submit" name="submit" class="btn btn-default btn-lg btn-block" value="Login"></div>
        </div>
      </div>
    </form>
  </div>
</div>
</div>
<div class="row">
  <div class="col-md-4 col-md-offset-4 no-account">
    <p>{$LANG.donthaveaccount}</p>
    <a href="register.php">{$LANG.signup}</a>
  </div>
</div>
<div class="content-sm"> 
  <div class="col-md-4 col-md-offset-4">
    {else}

{include file="$template/pageheader.tpl" title=$LANG.login}
    {if $incorrect}
        {include file="$template/includes/alert.tpl" type="error" msg=$LANG.loginincorrect textcenter=true}
    {elseif $verificationId && empty($transientDataName)}
        {include file="$template/includes/alert.tpl" type="error" msg=$LANG.verificationKeyExpired textcenter=true}
    {elseif $ssoredirect}
        {include file="$template/includes/alert.tpl" type="info" msg=$LANG.sso.redirectafterlogin textcenter=true}
    {/if}
   <form method="post" action="{$systemsslurl}dologin.php">
     <div class="row">
      <div class="col-md-6">
       <div class="form-group">
        <label class="control-label" for="username">{$LANG.loginemail}:</label>
        <input class="form-control" name="username" id="username" tabindex="1" type="text" />
      </div>
      <div class="checkbox"><label><input type="checkbox" tabindex="3" name="rememberme"{if $rememberme} checked="checked"{/if} />{$LANG.loginrememberme}</label>
      </div>
    </div>
    <div class="col-md-6">
     <div class="form-group">
      <label class="control-label" for="password">{$LANG.loginpassword}:</label>
      <input class="form-control" name="password" id="password" tabindex="2" type="password" autocomplete="off" />
    </div>
    <a href="pwreset.php" tabindex="5">{$LANG.loginforgotteninstructions}</a>
  </div>
</div>
<input type="submit" tabindex="4" class="btn btn-primary" value="{$LANG.loginbutton}" />
</form>
{if $condlinks.allowClientRegistration}
{include file="$template/pageheader.tpl" title=$LANG.orderForm.createAccount}
<div class="row">
<div class="col-md-12">
<a href="register.php" class="btn btn-primary">{$LANG.register}</a>
</div>
</div>
{/if}
{/if}