    {if $loggedin}
        <div class="alert alert-danger">
            <p>{$LANG.noPasswordResetWhenLoggedIn}</p>
        </div>
    {else}

{if $minimal == 1}
 <div class="row">
  <div class="col-md-4 col-md-offset-4 box">
    <p class="text-danger bg-danger text-alert {if !$incorrect} displaynone{/if}" id="login-error"><strong><i class="fa fa-exclamation-triangle"></i> {$LANG.warning}</strong><br/>{$LANG.loginincorrect}</p>         
    <div class="content-wrap">


      <h6>{$LANG.pwreset}</h6>
      {if $success}
      <p class="text-success bg-success text-alert"><i class="fa fa-paper-plane"></i> {$LANG.pwresetvalidationsent}</p><p><small>{$LANG.pwresetvalidationcheckemail}</small></p>
      {else}
      {if $errormessage}
      <p class="text-danger bg-danger text-alert"><strong><i class="fa fa-exclamation-triangle"></i> {$LANG.warning}</strong><br/>{$errormessage}</p>
      {elseif !$securityquestion}
      <p><small>{$LANG.pwresetdesc}</small></p>
      {/if}   
      <form method="post" action="pwreset.php"  name="frmpwreset">
        <input type="hidden" name="action" value="reset" />
        {if $securityquestion}
        <input type="hidden" name="email" value="{$email}" />
        <p><small>{$LANG.pwresetsecurityquestionrequired}</small></p> 
        <div class="form-group">          
          <div class="input-group input-group-lg">          
            <span class="input-group-addon"><i class="fa fa-fw fa-question-circle"></i></span>
            <input class="form-control" name="answer" id="answer" type="text" value="{$answer}" placeholder="{$securityquestion}" />
          </div>
        </div>         
        {else}
        <div class="form-group">
          <div class="input-group input-group-lg">
            <span class="input-group-addon"><i class="fa fa-fw fa-envelope"></i></span>
            <input class="form-control" name="email" id="email" type="email" placeholder="{$LANG.loginemail}" />
          </div>
        </div>    
        {/if}          
        <div class="row">
         <div class="col-md-12">
          <div class="form-group"><input type="submit" class="btn btn-default btn-lg btn-block" value="{$LANG.pwresetsubmit}" /></div>
        </div>
        </div>
      </form>
    </div>
    {/if} 
  </div>
  </div>
  <div class="content-sm">
      <div class="col-md-4 col-md-offset-4">

{else}

{include file="$template/pageheader.tpl" title=$LANG.pwreset}
{if $success}
<div class="alert alert-success">
  <p>{$LANG.pwresetvalidationsent}</p>
</div>
<p>{$LANG.pwresetvalidationcheckemail}</p>
{else}
{if $errormessage}
<div class="alert alert-danger">
  <p>{$errormessage}</p>
</div>
{/if}

<form method="post" action="pwreset.php">
  <input type="hidden" name="action" value="reset" />
  {if $securityquestion}
  <input type="hidden" name="email" value="{$email}" />

  <p>{$LANG.pwresetsecurityquestionrequired}</p>
  <div class="row">
    <div class="col-lg-6">
      <div class="form-group">
        <label class="control-label" for="answer">{$securityquestion}:</label>
        <input class="form-control input-lg" name="answer" id="answer" type="text" value="{$answer}" />
      </div>
    </div>
  </div>
  <input type="submit" class="btn btn-primary btn-lg" value="{$LANG.pwresetsubmit}" />

  {else}

  <p><small>{$LANG.pwresetdesc}</small></p>
  <div class="row">
    <div class="col-lg-6">
      <div class="form-group">
        <label class="control-label" for="email">{$LANG.loginemail}:</label>
        <input class="form-control" name="email" id="email" type="text" />
      </div>
    </div>
  </div>
  <input type="submit" class="btn btn-primary" value="{$LANG.pwresetsubmit}" />
  {/if}
</form>
{/if}
{/if}
{/if}