{if $minimal == 1}
 <div class="row">
  <div class="col-md-4 col-md-offset-4 box">
    {if $invalidlink}
    <p class="text-danger bg-danger text-alert">{$invalidlink}</p>
    {elseif $success}
    <h4>{$LANG.pwresetvalidationsuccess}</h4>
    <p class="text-success bg-success">{$LANG.pwresetsuccessdesc|sprintf2:'<a href="clientarea.php">':'</a>'}</p>
    {else}
    {if $errormessage}
    <p class="text-danger bg-danger text-alert"><strong><span aria-hidden="true" class="icon icon-ban"></span> {$LANG.warning}</strong></p><br>
    {$errormessage}
    {/if}
    <form method="post" action="{$smarty.server.PHP_SELF}?action=pwreset">
      <input type="hidden" name="key" id="key" value="{$key}" />
      <h5>{$LANG.pwresetenternewpw}</h5>
      <div class="form-group">          
        <div class="input-group input-group-lg">
          <span class="input-group-addon"><span aria-hidden="true" class="icon icon-lock"></span></span>
          <input type="password" class="form-control" name="newpw" id="password" placeholder="{$LANG.newpassword}" autocomplete="off" />
        </div>
      </div>
      <div class="form-group">          
        <div class="input-group input-group-lg">
          <span class="input-group-addon"><span aria-hidden="true" class="icon icon-lock"></span></span>
          <input type="password" class="form-control" name="confirmpw" id="confirmpw" placeholder="{$LANG.confirmnewpassword}"  autocomplete="off" />
        </div>
      </div>
      <div class="form-group">
        {include file="$template/pwstrength.tpl"}
      </div>
      <div class="form-group">
        <input class="btn btn-primary btn-block" type="submit" name="submit" value="{$LANG.clientareasavechanges}" />
        <input class="btn btn-default btn-block" type="reset" value="{$LANG.cancel}" />
      </div>
  </form>
  {/if}
</div>
</div>
<div class="content-sm">
      <div class="col-md-4 col-md-offset-4">
{else}

{include file="$template/pageheader.tpl" title=$LANG.pwreset}
{if $invalidlink}
<div class="alert alert-danger">
  <p class="textcenter">{$invalidlink}</p>
</div>
{elseif $success}
<div class="alert alert-success">
  <p class="textcenter bold">{$LANG.pwresetvalidationsuccess}</p>
</div>
<p class="textcenter">{$LANG.pwresetsuccessdesc|sprintf2:'<a href="clientarea.php">':'</a>'}</p>
{else}
{if $errormessage}
<div class="alert alert-danger">
  <p class="textcenter">{$errormessage}</p>
</div>
{/if}
<form class="form-horizontal" method="post" action="{$smarty.server.PHP_SELF}?action=pwreset">
  <input type="hidden" name="key" id="key" value="{$key}" />
  <h4>{$LANG.pwresetenternewpw}</h4>
  <div class="form-group">
   <label class="col-sm-3 control-label" for="password">{$LANG.newpassword}</label>
   <div class="col-sm-9">
    <input type="password" class="form-control" name="newpw" id="password" />
  </div>
</div>
<div class="form-group">
 <label class="col-sm-3 control-label" for="confirmpw">{$LANG.confirmnewpassword}</label>
 <div class="col-sm-9">
  <input type="password" class="form-control" name="confirmpw" id="confirmpw" />
</div>
</div>
<div class="form-group">
 <label class="col-sm-3 control-label" for="passstrength">{$LANG.pwstrength}</label>
 <div class="col-sm-9">
  {include file="$template/pwstrength.tpl"}
</div>
</div>
<div class="form-group">
 <div class="col-sm-offset-3 col-sm-9">
  <input class="btn btn-primary" type="submit" name="submit" value="{$LANG.clientareasavechanges}" />
  <input class="btn btn-default" type="reset" value="{$LANG.cancel}" />
</div>
</div>
</form>
{/if}
{/if}