<script type="text/javascript" src="assets/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="templates/orderforms/{$carttpl}/js/main.js"></script>
<link rel="stylesheet" type="text/css" href="templates/orderforms/{$carttpl}/style.css" />
{include file="orderforms/$carttpl/assets/cust_styles.tpl"}
{include file="orderforms/$carttpl/assets/cart-header.tpl" title=$LANG.domainrenewals desc=$groupname }
<div class="alert alert-info">             
 {$LANG.domainrenewdesc}
</div>
  <form method="post" action="cart.php?a=add&renewals=true" class="form-inline">
    <table class="table">
      <thead>
        <tr>
          <th><input type="checkbox" /></th>
          <th>{$LANG.orderdomain}</th>
          <th>{$LANG.domainstatus}</th>
          <th>{$LANG.domaindaysuntilexpiry}</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        {foreach from=$renewals item=renewal}
        <tr>
         <td>{if !$renewal.pastgraceperiod}<input class="renewalcheck" type="checkbox" name="renewalids[]" value="{$renewal.id}" />{/if}</td><td>{$renewal.domain}</td>
         <td><span class="label label-{$renewal.rawstatus}">{$renewal.status}</span></td>
         {if $renewal.daysuntilexpiry > 30}
         <td class="success">{$renewal.daysuntilexpiry} {$LANG.domainrenewalsdays}</td>
         {elseif $renewal.daysuntilexpiry > 0}
         <td class="danger">{$renewal.daysuntilexpiry} {$LANG.domainrenewalsdays}</td>
         {else}
         <td class="active">{$renewal.daysuntilexpiry*-1} {$LANG.domainrenewalsdaysago}</td>
         {/if}
       </td>
       <td>
        {if $renewal.beforerenewlimit}
        <span class="text-danger">{$LANG.domainrenewalsbeforerenewlimit|sprintf2:$renewal.beforerenewlimitdays}<span>
          {elseif $renewal.pastgraceperiod}
          <span class="text-danger">{$LANG.domainrenewalspastgraceperiod}<span>
            {else}
            <select class="form-control" name="renewalperiod[{$renewal.id}]">
              {foreach from=$renewal.renewaloptions item=renewaloption}
              <option value="{$renewaloption.period}">{$renewaloption.period} {$LANG.orderyears} @ {$renewaloption.price}</option>
              {/foreach}
            </select>
            {/if}
          </td>
        </tr>
        {/foreach}
      </tbody>
    </table>
    <div class="row">
      <div class="col-md-12">
        <button class="btn btn-default pull-right" type="submit">{$LANG.ordernowbutton} <i class="fa fa-angle-right"></i></button>
      </div>
    </div>
  </form>
</div>
</div>
