<link rel="stylesheet" type="text/css" href="templates/orderforms/{$carttpl}/style.css" />
<script type="text/javascript" href="templates/orderforms/{$carttpl}/js/main.js"></script>
{include file="orderforms/$carttpl/assets/cust_styles.tpl"}
{assign var="col" value=flowcart_group_column_width($gid,$group_column_width)}
{include file="orderforms/$carttpl/assets/products-header.tpl"}

{assign var="itemsprow" value="6"}
{assign var="itemsprow_c" value=0}

{if $col == 'col-md-15'}{assign var="itemsprow" value="5"}
{elseif $col == 'col-md-3'}{assign var="itemsprow" value="4"}
{elseif $col == 'col-md-4'}{assign var="itemsprow" value="3"}
{elseif $col == 'col-md-6'}{assign var="itemsprow" value="2"}
{elseif $col == 'col-md-12'}{assign var="itemsprow" value="1"}
{/if}


{if !$loggedin && $currencies}
<div class="row">
  <div class="col-md-12">
    <div class="pull-right currency-product">
      {foreach from=$currencies item=curr}
      <a href="cart.php?gid={$gid}&currency={$curr.id}"><i class="fa fa-money{if $curr.id eq $currency.id} active{/if}"></i> <span>{$curr.code}</span></a>
      {/foreach} 
    </div>
  </div>
</div>
{/if}
<div class="cart-wrapper">
<div id="product-packages">

{if $flowcart_show_Product_Group_Headline || $flowcart_show_Product_Group_Tagline}
<div class="row">
<div class="col-md-12">
        <div class="header-lined">
        {if $flowcart_show_Product_Group_Headline}
                <h1>
                    {if $productGroup.headline}
                        {$productGroup.headline}
                    {else}
                        {$productGroup.name}
                    {/if}
                </h1>
        {/if}
        {if $flowcart_show_Product_Group_Tagline}
                {if $productGroup.tagline}
                    <p>{$productGroup.tagline}</p>
                {/if}
        {/if}
            </div>
</div>
</div>
{/if}

{if count($productGroup.features) > 0 && $flowcart_show_Group_Features}
    <div class="includes-container">
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="head-area">
                    <span>
                        {$LANG.whatIsIncluded}
                    </span>
                </div>

                <ul id="list-contents" class="list-contents productGroupfeatures">
                    {foreach $productGroup.features as $features}
                        <li><i class="flow-icon flow-ico-puzzle"></i>{$features.feature}</li>
                    {/foreach}
                </ul>

            </div>

        </div>
    </div>
{/if}
  
    {foreach key=num item=product from=$products name=mainProducts}
    {if $itemsprow_c == 0}
    <div class="row pricing">
    {/if} 

    {if $num == 0}{assign var="order" value="first"}
    {elseif $num == 1}{assign var="order" value="second"}
    {elseif $num == 2}{assign var="order" value="third"}
    {elseif $num == 3}{assign var="order" value="fourth"}
    {elseif $num == 4}{assign var="order" value="fifth"}
    {elseif $num == 5}{assign var="order" value="sixth"}
    {/if}
    <div class="{$col} fadeInCart animatedProduct pricing-{$order}">
      <div class="plan"><div class="header">
        <h4>{$product.name}</h4>
      </div>
      <ul>
        {foreach from=$product.features key=feature item=value}
        <li>
          {if $value|strstr:'YES'}{$value|replace:'YES':'<i class="fa fa-lg fa-check"></i>'} <small>{$feature}</small>
          {elseif $value|strstr:'NO'}{$value|replace:'NO':'<i class="fa fa-lg fa-times"></i>'} <small>{$feature}</small>
          {else} <strong>{$value}</strong> <small>{$feature}</small>{/if}
        </li>
        {/foreach}
      </ul>
      <p>{$product.featuresdesc}</p>
      <div class="price">
        {if $product.bid}
        {if $product.displayprice}<h5><span class="symbol">{$currency.prefix}</span>{$product.displayprice}</h5>{/if}<h6>{$LANG.bundledeal}</h6>{elseif $product.paytype eq "free"}<h5>{$LANG.orderfree}</h5><h6>&nbsp;</h6>{elseif $product.paytype eq "onetime"}<h5><span class="symbol">{$currency.prefix}</span>{$product.pricing.onetime}</h5>
        <h6>{$LANG.orderpaymenttermonetime}</h6>
        {else}
        <h5><span class="symbol">{$currency.prefix}</span>{$product.pricing.minprice.price}</h5>
        <h6>
          {if $product.pricing.minprice.cycle eq "monthly"}
          {$LANG.orderpaymenttermmonthly}
          {elseif $product.pricing.minprice.cycle eq "quarterly"}
          {$LANG.orderpaymenttermquarterly}
          {elseif $product.pricing.minprice.cycle eq "semiannually"}
          {$LANG.orderpaymenttermsemiannually}
          {elseif $product.pricing.minprice.cycle eq "annually"}
          {$LANG.orderpaymenttermannually}
          {elseif $product.pricing.minprice.cycle eq "biennially"}
          {$LANG.orderpaymenttermbiennially}
          {elseif $product.pricing.minprice.cycle eq "triennially"}
          {$LANG.orderpaymenttermtriennially}
          {/if}
        </h6>
        {/if} 
      </div>
      <a class="btn btn-default btn-sm {if $product.qty eq '0'} disabled{/if}" href="{$smarty.server.PHP_SELF}?a=add&{if $product.bid}bid={$product.bid}{else}pid={$product.pid}{/if}">{$LANG.ordernowbutton}</a></div>
    </div>


    {assign var="itemsprow_c" value=$itemsprow_c+1}
    {if $itemsprow_c == $itemsprow}
      </div>
      {assign var="itemsprow_c" value=0}
    {/if} 

    {/foreach} 

    {if $itemsprow_c != $itemsprow}
      </div>
      {assign var="itemsprow_c" value=0}
    {/if} 

</div>
</div>
{if $minimal_cart == 'on'}
    <div class="content-sm">
      <div class="row">   
        <div class="col-md-12">
{/if}
